compiling an actual version of python

robert rottermann robert at redcor.ch
Sun Feb 8 09:42:26 CET 2015


next problem:

i did copy the python source archve as instructed:
cp python/Python-2.7.9.tar.xz ipfire-2.x/cache/

and changed
vim ~/ipfire/ipfire-2.x/lfs/python
   on line 27 change
     VER        = 2.7.3
   to
     VER        = 2.7.9

but running
./make.sh toolchain

produces the following error

scripts/basic/fixdep.c:141: warning: empty declaration
scripts/basic/fixdep.c:149: error: storage class specified for parameter 'hashtab'
scripts/basic/fixdep.c:152: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:165: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:180: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:198: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:215: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:237: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:271: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:282: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:318: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:400: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:436: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
scripts/basic/fixdep.c:448: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before '{' token
/usr/include/unistd.h:756: error: old-style parameter declarations in prototyped 
function definition
scripts/basic/fixdep.c:462: error: expected '{' at end of input
make[2]: *** [scripts/basic/fixdep] Error 1
make[1]: *** [scripts_basic] Error 2
make[1]: Leaving directory 
`/home/robert/ipfire/ipfire-2.x/build/usr/src/linux-3.14.31'
make: *** 
[/home/robert/ipfire/ipfire-2.x/log/linux-3.14.31-ipfire-headers-tools] Error 2

more advice needed ..
thanks
robert


On 07.02.2015 19:56, Michael Tremer wrote:
> Hi,
>
> no, the build system does not replace your system, but requires root
> permissions. Those could damage your system in case anything unexpected
> happens, so creating a virtual machine which you can just delete and
> reinstall is a good option.
>
> -Michael
>
> On Sat, 2015-02-07 at 19:54 +0100, robert rottermann wrote:
>> new problem/question ..
>>
>> now I get the following message:
>> *** Packaged toolchain compilation
>> version   options    time (sec)   status
>> Resetting our nice level to 10
>> [ DONE ]
>> Checking if we're running as root user
>> [ FAIL ]
>>
>> ERROR: Not building as root
>>         Check /home/robert/ipfire/ipfire-2.x/log/_build.preparation.log
>> for errors if applicable
>> robert at chrissy:~/ipfire/ipfire-2.x$
>>
>>
>> why should I do that as root?
>>
>> is the build process replacing my system?
>>
>> this is not what I want actually ..
>>
>> I think I restart everything in a virtual machine ..
>>
>> robert
>>
>>
>> On 07.02.2015 19:47, robert rottermann wrote:
>>
>>> On 07.02.2015 13:23, Michael Tremer wrote:
>>>
>>>> Ignore the IPFire 3 stuff. After that, you will need to do what is
>>>> described in the build howto:
>>> aha, thats ignoring IPFire 3 stuff is the key here..
>>> However, this is what is NOT, what is explained in the wiki
>>>
>>> git clone ssh://<user>@git.ipfire.org/pub/git/ipfire-3.x.git # Could also be checked out via the git proto
>>>   c
>>> ol
>>> cd ipfire-3.x/
>>> git remote add <user> ssh://<user>@git.ipfire.org/pub/git/people/<user>/ipfire-3.x.git
>>> thanks,
>>> robert
>>>
>>>
>>> _______________________________________________
>>> Development mailing list
>>> Development at lists.ipfire.org
>>> http://lists.ipfire.org/mailman/listinfo/development



More information about the Development mailing list